//---------------------------------------------------------------------------

#ifndef ControlQueueH
#define ControlQueueH
//---------------------------------------------------------------------------

#include "common/singleton.h"
#include <System.hpp>

class Command;

class ControlQueue: public CSingleton<ControlQueue>
{
private:
	ControlQueue();
	friend CSingleton<ControlQueue>;
public:
	int GetCommand(Command& cmd);

	void Call(int accountId, AnsiString target);
	void Answer(int callId);
	void Transfer(int callId, AnsiString target);
	void SendDigit(int callId, char key);
	void Hold(int callId, bool state);
	void Hangup(int callId, int code=0);
	void SetMsgLogging(bool enabled);
	void ReRegister(int accountId);
};

#define UA ControlQueue::Instance()

#endif
